import { Component, OnInit } from '@angular/core';
import { MenuItem } from 'primeng/primeng';

@Component({
  selector: 'app-menu-bar',
  templateUrl: './menu-bar.component.html',
  styleUrls: ['./menu-bar.component.scss'],
})
export class MenuBarComponent implements OnInit {

  items: MenuItem[];

  constructor(
  ) { }

  ngOnInit() {
    this.items = [
      {
        label: 'File',
        items: [
          { label: 'New' },
          { label: 'Open' },
          { separator: true },
          { label: 'Quit' }
        ]
      },
      {
        label: 'Edit',
        items: [
          { label: 'Delete' },
          { label: 'Refresh' }
        ]
      },
      {
        label: 'Help',
        items: [
          {
            label: 'Contents'
          },
          {
            label: 'Search',
          }
        ]
      },
      {
        label: 'Actions',
        items: [
          {
            label: 'Edit',
          },
          {
            label: 'Other',
          }
        ]
      },
      {
        label: 'Quit',
      }
    ];
  }

  onTitlebarDoubleClick() {
  }
}
